> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoint Attempts



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/webhooks/endpoints/{endpoint_id}/attempts
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/endpoints/{endpoint_id}/attempts:
    get:
      tags:
        - 'External: Webhooks'
      summary: List Endpoint Attempts
      operationId: >-
        list_endpoint_attempts_api_v1_webhooks_endpoints__endpoint_id__attempts_get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 250
            minimum: 1
            description: Items per page.
            default: 50
            title: Limit
          description: Items per page.
        - name: iterator
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor from the previous page's `iterator` field.
            title: Iterator
          description: Cursor from the previous page's `iterator` field.
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only attempts created before this timestamp.
            title: Before
          description: Only attempts created before this timestamp.
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only attempts created after this timestamp.
            title: After
          description: Only attempts created after this timestamp.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: 'Filter by status: 0=success, 1=pending, 2=failed, 3=sending.'
            title: Status
          description: 'Filter by status: 0=success, 1=pending, 2=failed, 3=sending.'
        - name: event_types
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by event type(s).
            title: Event Types
          description: Filter by event type(s).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_WebhookMessageAttemptResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedResponse_WebhookMessageAttemptResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookMessageAttemptResponse'
          type: array
          title: Data
        done:
          type: boolean
          title: Done
          description: True when this is the last page.
        iterator:
          anyOf:
            - type: string
            - type: 'null'
          title: Iterator
          description: Pass as `iterator` in the next request to fetch the following page.
        prevIterator:
          anyOf:
            - type: string
            - type: 'null'
          title: Previterator
      type: object
      required:
        - data
        - done
      title: PaginatedResponse[WebhookMessageAttemptResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookMessageAttemptResponse:
      properties:
        id:
          type: string
          title: Id
        endpointId:
          type: string
          title: Endpointid
        msgId:
          type: string
          title: Msgid
        url:
          type: string
          title: Url
        response:
          type: string
          title: Response
        responseStatusCode:
          type: integer
          title: Responsestatuscode
        responseDurationMs:
          type: integer
          title: Responsedurationms
        status:
          type: integer
          title: Status
        statusText:
          anyOf:
            - type: string
            - type: 'null'
          title: Statustext
        triggerType:
          type: integer
          title: Triggertype
        timestamp:
          type: string
          title: Timestamp
        msg:
          anyOf:
            - $ref: '#/components/schemas/WebhookMessageResponse'
            - type: 'null'
      type: object
      required:
        - id
        - endpointId
        - msgId
        - url
        - response
        - responseStatusCode
        - responseDurationMs
        - status
        - triggerType
        - timestamp
      title: WebhookMessageAttemptResponse
      description: A single delivery attempt for a webhook message to one endpoint.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebhookMessageResponse:
      properties:
        id:
          type: string
          title: Id
        eventType:
          type: string
          title: Eventtype
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
        timestamp:
          type: string
          title: Timestamp
        channels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Channels
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
      type: object
      required:
        - id
        - eventType
        - timestamp
      title: WebhookMessageResponse
      description: >-
        A single webhook message (outgoing event emitted to all subscribed
        endpoints).
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````